using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace bizFacade
{
    public  class RepairWorkStation
    {
        /// <summary>
        /// 保存复合工位工作状态
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="Status"></param>
        public static void  StationStatusChanges(string OpName,int Status)
        {
            if (NormalOrRepairRecord_Hash.ContainsKey (OpName))
            {
                NormalOrRepairRecord_Hash[OpName] = Status;

            }
            else
            {
                NormalOrRepairRecord_Hash.Add(OpName,Status );
            }

        }

        /// <summary>
        /// 查询工位工作状态 1为正常，其他为返修
        /// </summary>
        /// <param name="OpName"></param>
        /// <returns></returns>
        public static int  StationStatusSearch(string OpName)
        {
            if (NormalOrRepairRecord_Hash.ContainsKey(OpName))
            {
                return Convert.ToInt32(NormalOrRepairRecord_Hash[OpName]);

            }
            else
            {
                return 1;
            }
        }



        public static Hashtable NormalOrRepairRecord_Hash = new Hashtable();
    }
}
